SDL_GL_GetAttribute(3)

NAME
SDL_GL_GetAttribute - Get the actual value for an attribute from the current context.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_GL_GetAttribute(SDL_GLattr attr, int *value);

FUNCTION PARAMETERS

attr
    an SDL_GLattr
     enum value specifying the OpenGL attribute to get

value
    a pointer filled in with the current value of attr

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GL_ResetAttributes(3), SDL_GL_SetAttribute(3)